Please, please update for 4.0! Rated 5 out of 5 stars

I can't surf without this add-on! Please, PLEASE make it compatible with Firefox 4.0.

This review is for a previous version of the add-on (1.3.2009110201).